src/java/com/stageo/model/Critere.java
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.stageo.model;

import java.util.UUID;

/**
 *
 * @author admin
 */
public class Critere {
    private String IdCritere,
                   Nom;
    
    public Critere() {}

    public Critere(String IdCritere, String Nom) {
        this.IdCritere = IdCritere;
        this.Nom = Nom;
    }

    public Critere(String Nom) {
        String uniqueID = UUID.randomUUID().toString();
        this.IdCritere = uniqueID;
        this.Nom = Nom;
    }

    public String getIdCritere() {
        return IdCritere;
    }

    public void setIdCritere(String IdCritere) {
        this.IdCritere = IdCritere;
    }

    public String getNom() {
        return Nom;
    }

    public void setNom(String Nom) {
        this.Nom = Nom;
    }
    
    
    
}

web/WEB-INF/vue/liste-stages-employeur.jsp
<%-- 
    Document   : page-compagnie
    Created on : 2018-12-06, 10:48:57
    Author     : Dave
--%>

<!DOCTYPE html>
<%@page contentType="text/html" pageEncoding="UTF-8"%>


<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<jsp:useBean id="connexion" class="jdbc.Connexion"></jsp:useBean>
<jsp:useBean id="daoCompagnie" scope="page" class="com.stageo.model.CompagnieDAO">
    <jsp:setProperty name="daoCompagnie" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<jsp:useBean id="dao" class="com.stageo.model.UtilisateurDAO">
    <jsp:setProperty name="dao" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>

<jsp:useBean id="daoCritere" scope="page" class="com.stageo.model.CritereDAO">
    <jsp:setProperty name="daoCritere" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<jsp:useBean id="daoOffreStage" scope="page" class="com.stageo.model.StageDAO">
    <jsp:setProperty name="daoOffreStage" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>

<c:set var="listeCriteres" value="${daoCritere.findAll()}"/>
<c:set var="listeOffres" value="${daoOffreStage.findByIdEmployeur(sessionScope.connecte)}"/>
<div class="container" >



    <div class="row" >

        <div class="col-md-7">
            <div class="card mb-3">
                <div class="card-header titreProfil2">
                    <h1 class="card-title ">  Nouvelle Offre de stage
                        <button type="button" onclick="ResetForm()" class="btn my-btn-outline-secondary"><i class="fas fa-sync-alt"></i></button></h1>
                </div>
                <div class="card-body">
                    <!-- FORMULAIRE D'AJOUT D'UN STAGE !!! FORMULAIRE D'AJOUT D'UN STAGE !!! FORMULAIRE D'AJOUT D'UN STAGE !!! -->
                    <form class="form-horizontal" id="offrestage"action="*.do?tache=ajouterOffreDeStage" method="post" enctype="multipart/form-data"> 

                        <div class="form-group ">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text">Titre :</label>
                                </div>
                                <input type="text"  name="titre" class="form-control" id="titre"  placeholder="Titre" required>
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text">Description :</label>
                                </div>
                                <input type="text"  name="desc" class="form-control" id="desc" placeholder="Description" required>
                            </div>
                            <div class="form-row">
                                <div class="input-group mb-3 col-sm-6">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text">Début :</label>
                                    </div>
                                    <input type="date"  name="date_debut" class="form-control" id="date_debut"  placeholder="Date de début" required>
                                </div>

                                <div class="input-group mb-3 col-sm-6">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text">Fin :</label>
                                    </div>
                                    <input type="date"  name="date_fin" class="form-control" id="date_fin"  placeholder="Date de fin" required>

                                </div>
                            </div>

                            <div  hidden class="input-group mb-3 ">
                                <div class="input-group-prepend">
                                    <label class="input-group-text">Lien web :</label>
                                </div>
                                <input type="text"  name="lienWeb"  class="form-control" id="lienWeb"  placeholder="Lien web" value="x" >

                            </div>
                            <div hidden="" class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text">Lien Document :</label>
                                </div>
                                <input type="text"  name="document"  class="form-control" id="document"  placeholder="Document">

                            </div>
                            <div class="form-row">
                                <div class="input-group mb-3 col-sm-6">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text">Rémunération (en $/h):</label>
                                    </div>
                                    <input type="text"  name="remuneration" class="form-control" id="remuneration" value="0"  placeholder="Rémunération" required>
                                </div>

                                <div class="input-group mb-3 col-sm-6">
                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">CV</span>
                                        </div>
                                        <div class="custom-file">
                                            <input type="file" class="form-control-file" accept=".pdf" id="fichier" name="fichier">

                                        </div>
                                    </div>


                                </div>
                            </div>
                            <table  id="competence" class="table table-hover">
                                <thead>
                                    <tr>
                                        <th scope="col">Critère <a href="#" class="fa fa-arrows-alt-v"></a></th>
                                        <th scope="col">Maitrîse <a href="#" class="fa fa-arrows-alt-v"></a></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <c:forEach items="${listeCriteres}" var="critere">
                                        <tr>
                                            <td name="critereNom">${critere.nom}
                                            </td>
                                            <td>
                                                <input name="${critere.idCritere}" class="checkbox form-control mr-auto" type="checkbox" id="${critere.idCritere}">
                                            </td>
                                        </tr>
                                    </c:forEach>

                                </tbody>
                            </table>
                            <input type="hidden" name="tache" value="ajouterOffreDeStage">
                            <input type="hidden" id="idOffre" name="idOffre">
                            <button type="submit" class="btn btn-block my-btn-outline-primary">Ajouter /modifier un stage</button>
                            <!-- FIN FORMULAIRE D'AJOUT D'UN STAGE !!!  FIN FORMULAIRE D'AJOUT D'UN STAGE !!!  FIN FORMULAIRE D'AJOUT D'UN STAGE !!! -->
                        </div> 
                    </form>

                </div>
            </div>
        </div>
    <div class="col-md-5">
        <div class="card">
            <div class="card-header titreProfil">
                <h1 class="card-title ">Mes stages</h1>
            </div>
            <div class="card-body">
                <table id="stage" class="table table-hover">
                    <thead>
                        <tr>
                            <td>Titre <a href="#" class="fa fa-arrows-alt-v titreProfil2"></a></td>
                        </tr>
                    </thead>

                    <tbody>
                        <c:forEach items="${listeOffres}" var="offres">
                            <fmt:formatDate var="dateDebut" value="${offres.dateDebut}" pattern="yyyy-MM-dd" />
                            <fmt:formatDate var="dateFin" value="${offres.dateFin}" pattern="yyyy-MM-dd" />
                            <tr>
                                <td>${offres.titre}</td>
                                <td hidden>${offres.description}</td>
                                <td hidden>${offres.lienWeb}</td>
                                <td hidden>${dateDebut}</td>
                                <td hidden>${dateFin}</td>
                                <td hidden>${offres.idOffre}</td>
                                <td hidden>${offres.remunere}</td>
                                <td hidden>${offres.lienDocument}</td>
                                <td hidden>${offres.nbVues}</td>
                            </tr>
                        </c:forEach> 
                    </tbody>
                </table>
            </div>
        </div>

    </div>
</div>
</div>
</div>
<script>
    function ResetForm() {
        $(':input', '#offrestage')
                .not(':button, :submit, :reset, :hidden')
                .val('')
                .removeAttr('checked')
                .removeAttr('selected');
    }
    var table = document.getElementById('stage');

    for (var i = 1; i < table.rows.length; i++)
    {
        table.rows[i].onclick = function ()
        {

            console.log(this.cells[5].innerHTML);
            console.log(${dateFin});
            console.log(${dateDebut});
            document.getElementById("titre").value = this.cells[0].innerHTML;
            document.getElementById("desc").value = this.cells[1].innerHTML;
            document.getElementById("idOffre").value = this.cells[5].innerHTML;
            document.getElementById("lienWeb").value = this.cells[2].innerHTML;
            document.getElementById("date_debut").value = this.cells[3].innerHTML;
            document.getElementById("date_fin").value = this.cells[4].innerHTML;
            document.getElementById("remuneration").value = this.cells[6].innerHTML;
        };

    }
    ;

</script>

web/WEB-INF/vue/liste-stagiaires-coordonateur.jsp
<!DOCTYPE html>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.List"%>
<%@page import="jdbc.Connexion"%>
<%@page import="jdbc.Config"%>
<%@page import="com.stageo.model.*"%>
<jsp:useBean id="connexion" class="jdbc.Connexion"></jsp:useBean>
<jsp:useBean id="dao" class="com.stageo.model.UtilisateurDAO">
    <jsp:setProperty name="dao" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<c:set var="listeUser" value="${dao.findAll()}"/>
<jsp:useBean id="daoCritere" scope="page" class="com.stageo.model.CritereDAO">
    <jsp:setProperty name="daoCritere" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<c:set  var="listeCriteres" value="${daoCritere.findAll()}"/>



<div class="container" >



    <div class="row" >

        <div class="col-md-7">
            <div class="card">
                <div class="card-header titreProfil2">
                    <h1 class="card-title ">Rechercher Stagiaire</h1>
                </div>
                <!-- Section de recherche des stages -->
                <!-- Barre de recherche -->
                <div class="card-body">
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text"><i class="fas fa-search"></i></label>
                        </div>
                        <input id="inputRecherche" type="text" class="form-control" placeholder="Recherche par mot-clef...">
                    </div>
                    <!-- Fin de la barre de recherche -->

                    <div   id='sectionCompetences'>
                        <!-- bouton pour la liste -->
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text">
                                    <button class="btn my-btn-outline-secondary dropdown-toggle main-input" type="button" data-toggle="dropdown"> Filtrer par Compétences <span class="caret"></span></button>
                                    <ul class="dropdown-menu" id="liste">
                                        <c:forEach items="${listeCriteres}" varStatus="loop" var="critereRecherche">
                                            <li class="elementCritere"name="${critereRecherche.nom}">${critereRecherche.nom}
                                            </li>
                                        </c:forEach>    
                                    </ul>
                                </label>
                            </div>
                            <!-- Conteneur de comperence -->
                            <div class="col-sm-8" >
                                <div id="conteneurCompetences">

                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Fin de section de recherche par competances -->


                    <div class="">
                        <table id="table" class="table table-hover borderTable">
                            <thead>
                                <tr>
                                    <th>Nom <a class="sortBy" href="#"><span class="glyphicon glyphicon-sort-by-alphabet"></span></a></th>
                                    <th>prenom <a class="sortBy" href="#"><span class="glyphicon glyphicon-sort-by-alphabet"></span></a></th>
                                    <th>Courriel <a class="sortBy" href="#"><span class="glyphicon glyphicon-sort-by-alphabet"></span></a></th>
                                </tr>
                            </thead>
                            <tbody>
                                <c:forEach items="${listeUser}" var="user">
                                    <c:if test = "${user.role == 'etudiant'}">
                                        <c:if test = "${user.statutRecherche ne 'Candidature acceptee'}">
                                            <c:set var="criteresStage" value="${user.getListeCritere()}"/>
                                            <tr>

                                                <td>${user.nom}</td>
                                                <td>${user.prenom}</td>
                                                <td hidden>${user.email}</td>
                                                <td>${user.statutRecherche}</td>
                                                <c:forEach  items="${criteresStage}" var="crit">
                                                    <td hidden name="crit" hidden>${crit.nom}</td>
                                                </c:forEach>
                                                 <td>${user.idUtilisateur}</td>
                                            </tr>
                                        </c:if>
                                    </c:if>
                                </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- Fin de la section de recherche des stages -->
        <div class="col-md-5" >
            <div class='card'>
                <div class="card-header titreProfil">
                    <h1>Détails de l'étudiant</h1>
                    <small muted><span id='nbVues'>0</span> candidatures</small>
                    <form>
                        <input type="hidden" name="tache" value="EnvoyerNotificationRappel">
                        <input type="hidden" id="idOffre" name="idOffre">
                        <button type="submit" class="btn my-btn-outline-primary"><i class="fas fa-bell"></i></button>
                    </form>
                </div>
                <fieldset class="card-body">
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">Nom :</label>
                        </div>
                        <input disabled type="text"  name="nom" class="form-control" id="nom" value="${user.nom}" placeholder="${session.getAttribute("connecte")}">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">Prénom :</label>
                        </div>
                        <input  disabled type="text"  name="prenom" class="form-control" id="prenom" value="${user.prenom}" placeholder="${user.prenom}">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">Courriel :</label>
                        </div>
                        <input disabled type="email" name="email" class="form-control" id="email" value="${user.email}" placeholder="${user.email}" >
                    </div>

                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text" >Téléphone :</label>
                        </div>
                        <input disabled type="text"  placeholder="(514)980-2408" name="tel" disabled class="form-control" id="tel">
                    </div>

                    <div class="input-group mb-3">

                        <input type="text" class="form-control" disabled>
                        <div class="input-group-append ">
                            <label  class="input-group-text btn btn-primary ml-auto ">
                                <span class="">
                                    CV ...
                                    <input disabled type="file" class="form-control-file" accept=".pdf" style="display: none;" id="relNote">
                                </span>
                            </label>
                        </div>


                    </div>

                    <div class="input-group mb-3">

                        <input type="text" class="form-control" disabled>
                        <div class="input-group-append ">
                            <label  class="input-group-text btn btn-primary ml-auto ">
                                <span class="">
                                    Relevé de note ...
                                    <input disabled type="file" class="form-control-file" accept=".pdf" style="display: none;" id="relNote">
                                </span>
                            </label>
                        </div>


                    </div>

                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">https://fr.linkedin.com/in/</label>
                        </div>
                        <input disabled type="text"  class="form-control" id="lK" >
                    </div>

                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">https://gitlab.com/</label>
                        </div>
                        <input disabled type="text" class="form-control" id="git" >

                    </div>

                    <fieldset>
                        <legend><h4>Profil de stagiaire 
                            </h4>
                        </legend>

                        <div class="input-group mb-3">
                            <div class="input-group-prepend ">
                                <label class="input-group-text " >Domaine :</label>
                            </div>
                            <input disabled type="text" class="form-control" id="domaine" >

                        </div>

                        <div id="criteresStageContent">

                        </div>
                        <input type="hidden" id="idUser" name="idEtudiant">

                    </fieldset>
            </div>

        </div>
    </div>
</div>

<!-- Fin footer -->
<script>
    var nbComp = 0;

    var table = document.getElementById('table');

    for (var i = 1; i < table.rows.length; i++)
    {
        table.rows[i].onclick = function ()
        {
            //rIndex = this.rowIndex;
            document.getElementById("prenom").value = this.cells[0].innerHTML;
            document.getElementById("nom").value = this.cells[1].innerHTML;
            document.getElementById("email").value = this.cells[2].innerHTML;
            document.getElementById("criteresStageContent").innerHTML = "";
            document.getElementById("idUser").innerHTML = this.cells[4].innerHTML;
            $('#' + this.cells[4].innerHTML).children("td[name='crit']").each(function (index) {
                document.getElementById("criteresStageContent").innerHTML += "<h2 class='Catpill'><span class='badge badge-pill mb-1'>" + $(this).text() + "</span></h2>";
            });
            $(".Catpill").addClass("blue")
                    .css({"display": "inline"});
            

        };
    }
    
    $(document).ready(function () {
        $(".elementCritere").click(function (event) {
            document.getElementById("conteneurCompetences").innerHTML += "<span class='competence badge badge-primary'  onclick='enleverCompetence(" + nbComp + ")' id='competence" + nbComp + "'>" + event.target.innerHTML + " <a class='fas fa-times' ></a></span>";
            $(".competence").addClass("alert alert-info ")
                    .css("margin", "2%");
            nbComp++;
        });

    });

</script>

web/WEB-INF/vue/page-accueil-connecte.jsp
<!DOCTYPE html>
    
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<div class="Accueil">
<div class="container">
    <div class="row" >

        <div class="col-md-5 mx-auto mt-auto">
            <div class="card">
    <div class="card-header titreProfil2">
                    <h1 class="card-title mt-3"> Vous êtes connectés </h1>
                   
                </div>
                <div class="card-body">
    <p> Ici, vous trouverez un babillard avec peut être des billets de blogs écrits par le coordonateur</p>
    </div>
    
</div>
</div>
    </div>
    </div>
    </div>

web/WEB-INF/vue/page-accueil.jsp
<!DOCTYPE html>
    
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<div class="Accueil">
<div class="container">
    <div class="row" >

        <div class="col-md-5 mx-auto mt-auto">
            <div class="card">
    <div class="card-header titreProfil2">
                    <h1 class="card-title mt-3"> Bienvenue </h1>
                   
                </div>
                <div class="card-body">
    <p>Bienvenue sur la plateforme de gestion des Stages en TI du Collège Rosemont</p>
    <p> ici, retrouvez un texte explicatif qui vous donnera envie de vous inscrire.</p>
    </div>
    
</div>
</div>
    </div>
    </div>
    </div>

web/WEB-INF/vue/page-document-employeur.jsp
<!DOCTYPE html>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<jsp:useBean id="connexion" class="jdbc.Connexion"></jsp:useBean>
<jsp:useBean id="daoDocument" scope="session" class="com.stageo.model.DocumentDAO">
    <jsp:setProperty name="daoDocument" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<c:set var="listeDocument" value="${daoDocument.findAll()}"/>

<div class="container">
    <div class="row">
        <div class="col-6 mx-auto">
            <div class="card">
                <div class="card-header titreProfil2">
                    <h1>Documents</h1>
                </div>
                <div class="card-body">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col">Nom</th>
                                <th scope="col">Date</th>
                                <th scope="col">Vues</th>
                                <th scope="col">Consulter</th>
                            </tr>
                        </thead>
                        <tbody>
                            <c:forEach items="${listeDocument}" var="documents"> 
                                <fmt:formatDate var="dateDoc" value="${documents.date}" pattern="yyyy-MM-dd" />
                                <tr >
                                    <td>${documents.titre}</td>
                                    <td>${dateDoc}</td>
                                    <td>${documents.nbVues}</td>
                                    <td><a target="Télécharger" href="?tache=lireDocument&id=${documents.idDocument}"><i class="fas fa-download titreProfil2"></i></a></li></td>
                                </tr>
                            </c:forEach> 
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

web/WEB-INF/vue/profil-coordonateur.jsp
<%-- 
    Document   : profilEtudiant
    Created on : 2018-10-25, 10:17:32
    Author     : JP
--%>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.List"%>
<%@page import="jdbc.Connexion"%>
<%@page import="jdbc.Config"%>
<%@page import="com.stageo.model.Utilisateur"%>
<%@page import="com.stageo.model.UtilisateurDAO"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<jsp:useBean id="connexion" class="jdbc.Connexion"></jsp:useBean>
<jsp:useBean id="daoCritere" scope="page" class="com.stageo.model.CritereDAO">
    <jsp:setProperty name="daoCritere" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<jsp:useBean id="dao" class="com.stageo.model.UtilisateurDAO">
    <jsp:setProperty name="dao" property="cnx" value="${connexion.connection}"></jsp:setProperty>
</jsp:useBean>
<c:set var="listeCriteres" value="${daoCritere.findAll()}"/>
<c:set var="user" scope="page" value="${dao.read(sessionScope.connecte)}"/>

<div class="container" >
    <div class="col-6  mx-auto">
        <div class="card">
        <div class="card-header">
            <div class="card-title titreProfil"><h1> Espace coordonateur</h1>
            </div>
        </div>
        <div class="card-body">
            <div class="card-subtitle mb-3"><h4>Gestion des compétences:</h4>
            </div>


            <form action="*.do?tache=ajoutCritere" method = "post" >
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text">Nouvelle Compétence</label>
                        </div>
                        <input type="text"  name="critere" class="form-control" id="critere"  placeholder="Critère">
                        <button type="submit" class="btn my-btn-outline-primary my-2 my-sm-0"> Ajouter</button>
                    </div>

            </form>
            <div class="table-responsive">

                <table class="table table-striped">
                    <thead>
                        <tr>
                            <td >Critères <a href="#" class="fa fa-arrows-alt-v my-btn-outline-secondary"></a></td>
                            <td>Étudiants <a href="#" class="fa fa-arrows-alt-v my-btn-outline-secondary"></a></td>
                            <td>Requises <a href="#" class="fa fa-arrows-alt-v my-btn-outline-secondary"></a></td>
                            <td>Supprimer <a href="#" class="fa fa-arrows-alt-v my-btn-outline-secondary"></a></td>
                        </tr>
                    </thead>
                    <tbody>
                        <c:forEach items="${listeCriteres}" var="critere"> 
                            <tr>
                                <td>${critere.nom}</td>
                                <td>4</td>
                                <td>4</td>
                                <td>
                                    <form action="*.do?tache=supprimerCritere" method = "post">

                                        <input type="hidden" value="${critere.idCritere}" name="suppressionCrit" class="form-control" id="suppressionCrit">
                                        <button type="submit" class="my-btn-outline-primary"><a><i class="fas fa-trash-alt"></i></a></button>
                                    </form>
                                </td>
                            </tr>
                        </c:forEach> 

                    </tbody>
                </table>
            </div>
        </div>    
    </div> 
</div>
    </div>